<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/ContaminatedArea/ContaminatedArea.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d48/_contaminated_area_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ContaminatedArea.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d48/_contaminated_area_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d9b/class_contaminated_area___static.html">ContaminatedArea_Static</a> : <a class="code hl_class" href="../../d5/d44/class_effect_area.html">EffectArea</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">//              INITIAL SETUP</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html#a7541972c3aff6986a688f903b8d6616d">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d9b/class_contaminated_area___static.html#a7541972c3aff6986a688f903b8d6616d">SetupZoneData</a>(  EffectAreaParams params )</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        super.SetupZoneData( params );</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html#ad6bdea0045e9999f8459eeae90953944">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d9b/class_contaminated_area___static.html#ad6bdea0045e9999f8459eeae90953944">EEInit</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="comment">// We make sure we have the particle array</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a1736f7740a89aac8d9a252dff6f0d4c1">m_ToxicClouds</a> )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a1736f7740a89aac8d9a252dff6f0d4c1">m_ToxicClouds</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Particle&gt;</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        SetSynchDirty();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">        #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="comment">// Debugs when placing entity by hand using internal tools</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() &amp;&amp; !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Log</a>(<span class="stringliteral">&quot;YOU CAN IGNORE THE FOLLOWING DUMP&quot;</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_function" href="../../d5/d44/class_effect_area.html#ab08b72b127332904e44a7d039cebd4bb">InitZone</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Log</a>(<span class="stringliteral">&quot;YOU CAN USE FOLLOWING DATA PROPERLY&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsClient() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_function" href="../../d5/d44/class_effect_area.html#ab08b72b127332904e44a7d039cebd4bb">InitZone</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        super.EEInit();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html#a19cb7bfe60f6b58b445ef8d91191727d">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d9b/class_contaminated_area___static.html#a19cb7bfe60f6b58b445ef8d91191727d">InitZoneServer</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        super.InitZoneServer();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">// We create the trigger on server</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a9636e4b5fa57211d44528c056b1d3771">m_TriggerType</a> != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a56e9fba9303f5e86f50ccf4c54562794">CreateTrigger</a>( <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a3d30603c54db765a450d1fa3d2eef314">m_Position</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#aa6ac25b73d94fbd78e1852f2e386f72b">m_Radius</a> );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html#a4bf130abc8393b39aa9b555f7bc3e296">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d9b/class_contaminated_area___static.html#a4bf130abc8393b39aa9b555f7bc3e296">InitZoneClient</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        super.InitZoneClient();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="comment">// We spawn VFX on client</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d5/d44/class_effect_area.html#ad534f17c64c7bf7ef0917e316d582877">PlaceParticles</a>( <a class="code hl_function" href="../../dd/d93/_object_8c.html#a778e405b354972127d5481a310f668ae">GetWorldPosition</a>(), <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#aa6ac25b73d94fbd78e1852f2e386f72b">m_Radius</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a9a86a14d82579ce3fd2a8b3d7100429e">m_InnerRings</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#aa849efc6a3c5e2a135438dbf1b537562">m_InnerSpacing</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#a65bf055c97f56426e8c99e7bb0a5c474">m_OuterRingToggle</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#ae83226ecf844ae58155a7a3ba56aaf57">m_OuterSpacing</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#aa710307493ca81c9231204e872893452">m_OuterRingOffset</a>, <a class="code hl_variable" href="../../d5/d44/class_effect_area.html#ac2bf3efa16e860c359013ec3485f6865">m_ParticleID</a> );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dd/d9b/class_contaminated_area___static.html#aab3e6f1050b4bc1c083ccbbcc2254dab">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d9b/class_contaminated_area___static.html#aab3e6f1050b4bc1c083ccbbcc2254dab">EEDelete</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        super.EEDelete( parent );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="ttc" id="a_object_8c_html_a778e405b354972127d5481a310f668ae"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a778e405b354972127d5481a310f668ae">GetWorldPosition</a></div><div class="ttdeci">proto native vector GetWorldPosition()</div></div>
<div class="ttc" id="a_trap_base_8c_html_a56e9fba9303f5e86f50ccf4c54562794"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a56e9fba9303f5e86f50ccf4c54562794">CreateTrigger</a></div><div class="ttdeci">void CreateTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00530">TrapBase.c:530</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html">ContaminatedArea_Static</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00001">ContaminatedArea.c:2</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html_a19cb7bfe60f6b58b445ef8d91191727d"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html#a19cb7bfe60f6b58b445ef8d91191727d">ContaminatedArea_Static::InitZoneServer</a></div><div class="ttdeci">override void InitZoneServer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00037">ContaminatedArea.c:37</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html_a4bf130abc8393b39aa9b555f7bc3e296"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html#a4bf130abc8393b39aa9b555f7bc3e296">ContaminatedArea_Static::InitZoneClient</a></div><div class="ttdeci">override void InitZoneClient()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00046">ContaminatedArea.c:46</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html_a7541972c3aff6986a688f903b8d6616d"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html#a7541972c3aff6986a688f903b8d6616d">ContaminatedArea_Static::SetupZoneData</a></div><div class="ttdeci">override void SetupZoneData(EffectAreaParams params)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00007">ContaminatedArea.c:7</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html_aab3e6f1050b4bc1c083ccbbcc2254dab"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html#aab3e6f1050b4bc1c083ccbbcc2254dab">ContaminatedArea_Static::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00054">ContaminatedArea.c:54</a></div></div>
<div class="ttc" id="aclass_contaminated_area___static_html_ad6bdea0045e9999f8459eeae90953944"><div class="ttname"><a href="../../dd/d9b/class_contaminated_area___static.html#ad6bdea0045e9999f8459eeae90953944">ContaminatedArea_Static::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d48/_contaminated_area_8c_source.html#l00012">ContaminatedArea.c:12</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_ac759558b1dd4e820330546c994a9d840"><div class="ttname"><a href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Debug::Log</a></div><div class="ttdeci">static void Log(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message with normal prio.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00130">Debug.c:130</a></div></div>
<div class="ttc" id="aclass_effect_area_html"><div class="ttname"><a href="../../d5/d44/class_effect_area.html">EffectArea</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00036">EffectArea.c:37</a></div></div>
<div class="ttc" id="aclass_effect_area_html_a1736f7740a89aac8d9a252dff6f0d4c1"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#a1736f7740a89aac8d9a252dff6f0d4c1">EffectArea::m_ToxicClouds</a></div><div class="ttdeci">ref array&lt; Particle &gt; m_ToxicClouds</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00071">EffectArea.c:71</a></div></div>
<div class="ttc" id="aclass_effect_area_html_a3d30603c54db765a450d1fa3d2eef314"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#a3d30603c54db765a450d1fa3d2eef314">EffectArea::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00041">EffectArea.c:41</a></div></div>
<div class="ttc" id="aclass_effect_area_html_a65bf055c97f56426e8c99e7bb0a5c474"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#a65bf055c97f56426e8c99e7bb0a5c474">EffectArea::m_OuterRingToggle</a></div><div class="ttdeci">bool m_OuterRingToggle</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00053">EffectArea.c:53</a></div></div>
<div class="ttc" id="aclass_effect_area_html_a9636e4b5fa57211d44528c056b1d3771"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#a9636e4b5fa57211d44528c056b1d3771">EffectArea::m_TriggerType</a></div><div class="ttdeci">string m_TriggerType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00068">EffectArea.c:68</a></div></div>
<div class="ttc" id="aclass_effect_area_html_a9a86a14d82579ce3fd2a8b3d7100429e"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#a9a86a14d82579ce3fd2a8b3d7100429e">EffectArea::m_InnerRings</a></div><div class="ttdeci">int m_InnerRings</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00050">EffectArea.c:50</a></div></div>
<div class="ttc" id="aclass_effect_area_html_aa6ac25b73d94fbd78e1852f2e386f72b"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#aa6ac25b73d94fbd78e1852f2e386f72b">EffectArea::m_Radius</a></div><div class="ttdeci">float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00044">EffectArea.c:44</a></div></div>
<div class="ttc" id="aclass_effect_area_html_aa710307493ca81c9231204e872893452"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#aa710307493ca81c9231204e872893452">EffectArea::m_OuterRingOffset</a></div><div class="ttdeci">int m_OuterRingOffset</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00054">EffectArea.c:54</a></div></div>
<div class="ttc" id="aclass_effect_area_html_aa849efc6a3c5e2a135438dbf1b537562"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#aa849efc6a3c5e2a135438dbf1b537562">EffectArea::m_InnerSpacing</a></div><div class="ttdeci">int m_InnerSpacing</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00051">EffectArea.c:51</a></div></div>
<div class="ttc" id="aclass_effect_area_html_ab08b72b127332904e44a7d039cebd4bb"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#ab08b72b127332904e44a7d039cebd4bb">EffectArea::InitZone</a></div><div class="ttdeci">void InitZone()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00166">EffectArea.c:166</a></div></div>
<div class="ttc" id="aclass_effect_area_html_ac2bf3efa16e860c359013ec3485f6865"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#ac2bf3efa16e860c359013ec3485f6865">EffectArea::m_ParticleID</a></div><div class="ttdeci">int m_ParticleID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00061">EffectArea.c:61</a></div></div>
<div class="ttc" id="aclass_effect_area_html_ad534f17c64c7bf7ef0917e316d582877"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#ad534f17c64c7bf7ef0917e316d582877">EffectArea::PlaceParticles</a></div><div class="ttdeci">void PlaceParticles(vector pos, float radius, int nbRings, int innerSpacing, bool outerToggle, int outerSpacing, int outerOffset, int partId)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00220">EffectArea.c:220</a></div></div>
<div class="ttc" id="aclass_effect_area_html_ae83226ecf844ae58155a7a3ba56aaf57"><div class="ttname"><a href="../../d5/d44/class_effect_area.html#ae83226ecf844ae58155a7a3ba56aaf57">EffectArea::m_OuterSpacing</a></div><div class="ttdeci">int m_OuterSpacing</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df7/_effect_area_8c_source.html#l00055">EffectArea.c:55</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_69e812fcb6ec76f3564f9e4767f2d360.html">ContaminatedArea</a></li><li class="navelem"><a class="el" href="../../de/d48/_contaminated_area_8c.html">ContaminatedArea.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
